Bug 660172 - [RFE] Update package to use latest upstream and libv4l
Summary: [RFE] Update package to use latest upstream and libv4l
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zbar
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Rafael Aquini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 00:10 UTC by Mauro Carvalho Chehab
Modified: 2013-07-04 22:57 UTC (History)
5 users (show)

Fixed In Version: zbar-0.10-6.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-28 20:58:02 UTC


Attachments (Terms of Use)
Update zbar to latest commit upstream (1.14 MB, patch)
2010-12-06 00:19 UTC, Mauro Carvalho Chehab
no flags Details | Diff
Convert zbar to use libv4l (29.85 KB, patch)
2010-12-06 00:21 UTC, Mauro Carvalho Chehab
no flags Details | Diff
Fix build with koji (1.61 KB, patch)
2010-12-06 03:13 UTC, Mauro Carvalho Chehab
no flags Details | Diff

Comment 1 Mauro Carvalho Chehab 2010-12-06 00:15:41 UTC
Comment #1 is wrong... sorry for that. Pressed <enter> by mistake.

zbar package suffered lots of upstream changes, including improvements at interlaces 2/5 and some new codes added.

Also, it currently uses an old incomplete implementation for v4l1/v4l2 API.

Instead, the better is to port it to libv4l, and support all webcams. A fix is needed for it to compile on Fedora 14+ (and el6), due to a new "reserved" word at stdio.h: dprintf. A fix for it is at:

https://sourceforge.net/tracker/?func=detail&aid=3128538&group_id=189236&atid=928517

I did the patches for it, and submitted them to zbar upstream, at:

https://sourceforge.net/tracker/?func=detail&aid=3128542&group_id=189236&atid=928517

Comment 2 Mauro Carvalho Chehab 2010-12-06 00:19:11 UTC
Created attachment 464907 [details]
Update zbar to latest commit upstream

 Add a patch with upstate to hg changelog 617889f8f73
- Don't use glibc reserved dprintk (conflicts with stdio.h)
- Don't use -Werror, as there are some warnings at the building

Comment 3 Mauro Carvalho Chehab 2010-12-06 00:21:21 UTC
Created attachment 464908 [details]
Convert zbar to use libv4l

This patch removes v4l1 direct support, and replaces v4l2.c function to use libv4l.

Comment 4 Mauro Carvalho Chehab 2010-12-06 03:13:06 UTC
Created attachment 464917 [details]
Fix build with koji

This patch is needed in order to allow koji to properly build zbar.

Comment 5 Mauro Carvalho Chehab 2010-12-06 03:13:50 UTC
Test packages built on koji:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=2645956

Comment 6 Rafael Aquini 2010-12-18 14:57:29 UTC
Mauro, thanks for submitting such refined and detailed patches.

Soon, I'll be pushing this update of yours to fedora-testing repository in order to make it a new zbar release.


Best regards

Comment 7 Fedora Update System 2010-12-18 17:34:31 UTC
zbar-0.10-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/zbar-0.10-6.fc14

Comment 8 Rafael Aquini 2010-12-18 17:40:04 UTC
Mauro,

zbar is now built against dist-rawhide and dist-f14-update-candidate tags.
http://koji.fedoraproject.org/koji/packageinfo?packageID=8926

Also, I've submitted an update request for zbar-0.10-6 build get into f14-updates.

Best regards

Comment 9 Fedora Update System 2010-12-18 22:55:51 UTC
zbar-0.10-6.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zbar'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/zbar-0.10-6.fc14

Comment 10 Fedora Update System 2010-12-28 20:57:58 UTC
zbar-0.10-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.